diff --git a/core/arch/arm/dts/stm32mp13-pinctrl.dtsi b/core/arch/arm/dts/stm32mp13-pinctrl.dtsi
index ef16a16c..64acbff6 100644
--- a/core/arch/arm/dts/stm32mp13-pinctrl.dtsi
+++ b/core/arch/arm/dts/stm32mp13-pinctrl.dtsi
@@ -6,94 +6,12 @@
 #include <dt-bindings/pinctrl/stm32-pinfunc.h>
 
 &pinctrl {
-	i2c4_pins_a: i2c4-0 {
-		pins {
-			pinmux = <STM32_PINMUX('E', 15, AF6)>, /* I2C4_SCL */
-				 <STM32_PINMUX('B', 9, AF6)>; /* I2C4_SDA */
-			bias-disable;
-			drive-open-drain;
-			slew-rate = <0>;
-		};
-	};
-
-	ltdc_pins_a: ltdc-0 {
-		pins {
-			pinmux = <STM32_PINMUX('D',  9, AF13)>, /* LCD_CLK */
-				 <STM32_PINMUX('C',  6, AF14)>, /* LCD_HSYNC */
-				 <STM32_PINMUX('G',  4, AF11)>, /* LCD_VSYNC */
-				 <STM32_PINMUX('H',  9, AF11)>, /* LCD_DE */
-				 <STM32_PINMUX('G',  7, AF14)>, /* LCD_R2 */
-				 <STM32_PINMUX('B', 12, AF13)>, /* LCD_R3 */
-				 <STM32_PINMUX('D', 14, AF14)>, /* LCD_R4 */
-				 <STM32_PINMUX('E',  7, AF14)>, /* LCD_R5 */
-				 <STM32_PINMUX('E', 13, AF14)>, /* LCD_R6 */
-				 <STM32_PINMUX('E',  9, AF14)>, /* LCD_R7 */
-				 <STM32_PINMUX('H', 13, AF14)>, /* LCD_G2 */
-				 <STM32_PINMUX('F',  3, AF14)>, /* LCD_G3 */
-				 <STM32_PINMUX('D',  5, AF14)>, /* LCD_G4 */
-				 <STM32_PINMUX('G',  0, AF14)>, /* LCD_G5 */
-				 <STM32_PINMUX('C',  7, AF14)>, /* LCD_G6 */
-				 <STM32_PINMUX('A', 15, AF11)>, /* LCD_G7 */
-				 <STM32_PINMUX('D', 10, AF14)>, /* LCD_B2 */
-				 <STM32_PINMUX('F',  2, AF14)>, /* LCD_B3 */
-				 <STM32_PINMUX('H', 14, AF11)>, /* LCD_B4 */
-				 <STM32_PINMUX('E',  0, AF14)>, /* LCD_B5 */
-				 <STM32_PINMUX('B',  6, AF7)>,  /* LCD_B6 */
-				 <STM32_PINMUX('F',  1, AF13)>; /* LCD_B7 */
-			bias-disable;
-			drive-push-pull;
-			slew-rate = <0>;
-		};
-	};
-
 	rcc_mco_pins_a: rcc-pins-0 {
 		pins {
-			pinmux = <STM32_PINMUX('D', 7, AF0)>; /* RCC_MCO_1 */
+			pinmux = <STM32_PINMUX('E', 6, AF0)>; /* RCC_MCO_2 */
 			bias-disable;
 			drive-push-pull;
-			slew-rate = <1>;
-		};
-	};
-
-	tamp0_in1_pin_a: tamp0_in1_pin_0 {
-		pins {
-			pinmux = <STM32_PINMUX('F', 10, RSVD)>;
-			st,tamp_id = <1>;
-		};
-	};
-
-	tamp0_in2_pin_a: tamp0_in2_pin_0 {
-		pins {
-			pinmux = <STM32_PINMUX('A', 6, RSVD)>;
-			st,tamp_id = <2>;
-		};
-	};
-
-	tamp0_in3_pin_a: tamp0_in3_pin_0 {
-		pins {
-			pinmux = <STM32_PINMUX('C', 0, RSVD)>;
-			st,tamp_id = <3>;
-		};
-	};
-
-	tamp0_in5_pin_a: tamp0_in5_pin_0 {
-		pins {
-			pinmux = <STM32_PINMUX('C', 3, RSVD)>;
-			st,tamp_id = <5>;
-		};
-	};
-
-	tamp0_in8_pin_a: tamp0_in8_pin_0 {
-		pins {
-			pinmux = <STM32_PINMUX('I', 0, RSVD)>;
-			st,tamp_id = <8>;
-		};
-	};
-
-	tamp0_out1_pin_a: tamp0_out1_pin_0 {
-		pins {
-			pinmux = <STM32_PINMUX('I', 0, RSVD)>;
-			st,tamp_id = <1>;
+			slew-rate = <3>;
 		};
 	};
 
@@ -110,39 +28,12 @@
 		};
 	};
 
-	usart1_pins_a: usart1-0 {
-		pins1 {
-			pinmux = <STM32_PINMUX('C', 0, AF7)>, /* USART1_TX */
-				 <STM32_PINMUX('C', 2, AF7)>; /* USART1_RTS */
+	vcpu_pins_a: vcpu-pins-0 {
+		pins {
+			pinmux = <STM32_PINMUX('C', 2, GPIO)>; /* PWR_OVRDRV */
 			bias-disable;
 			drive-push-pull;
 			slew-rate = <0>;
 		};
-		pins2 {
-			pinmux = <STM32_PINMUX('B', 0, AF4)>, /* USART1_RX */
-				 <STM32_PINMUX('A', 7, AF7)>; /* USART1_CTS_NSS */
-			bias-pull-up;
-		};
-	};
-
-	wakeup_pins: wakeup_pins {
-		wakeup_pin_1: pins1 {
-			pinmux = <STM32_PINMUX('F', 8, GPIO)>;
-		};
-		wakeup_pin_2: pins2 {
-			pinmux = <STM32_PINMUX('I', 3, GPIO)>;
-		};
-		wakeup_pin_3: pins3 {
-			pinmux = <STM32_PINMUX('C', 13, GPIO)>;
-		};
-		wakeup_pin_4: pins4 {
-			pinmux = <STM32_PINMUX('I', 1, GPIO)>;
-		};
-		wakeup_pin_5: pins5 {
-			pinmux = <STM32_PINMUX('I', 2, GPIO)>;
-		};
-		wakeup_pin_6: pins6 {
-			pinmux = <STM32_PINMUX('A', 3, GPIO)>;
-		};
 	};
 };
diff --git a/core/arch/arm/dts/stm32mp131.dtsi b/core/arch/arm/dts/stm32mp131.dtsi
index bed96013..eead170e 100644
--- a/core/arch/arm/dts/stm32mp131.dtsi
+++ b/core/arch/arm/dts/stm32mp131.dtsi
@@ -67,11 +67,13 @@
 			clock-frequency = <64000000>;
 		};
 
+		/* LSE crystal is absent in POTATO_PI_M02
 		clk_lse: clk-lse {
 			#clock-cells = <0>;
 			compatible = "fixed-clock";
 			clock-frequency = <32768>;
 		};
+		*/
 
 		clk_lsi: clk-lsi {
 			#clock-cells = <0>;
@@ -200,8 +202,8 @@
 			#size-cells = <0>;
 			#clock-cells = <1>;
 			#reset-cells = <1>;
-			clocks = <&clk_hse>, <&clk_hsi>, <&clk_lse>, <&clk_lsi>, <&clk_csi>, <&clk_i2sin>;
-			clock-names = "clk-hse", "clk-hsi", "clk-lse", "clk-lsi", "clk-csi", "clk-i2sin";
+			clocks = <&clk_hse>, <&clk_hsi>, <&clk_lsi>, <&clk_csi>, <&clk_i2sin>;
+			clock-names = "clk-hse", "clk-hsi", "clk-lsi", "clk-csi", "clk-i2sin";
 			interrupts = <GIC_SPI 5 IRQ_TYPE_LEVEL_HIGH>;
 			secure-interrupts = <GIC_SPI 122 IRQ_TYPE_LEVEL_HIGH>;
 			secure-interrupt-names = "wakeup";
@@ -230,11 +232,6 @@
 			};
 		};
 
-		pwr_irq: pwr@50001010 {
-			compatible = "st,stm32mp1,pwr-irq";
-			status = "disabled";
-		};
-
 		exti: interrupt-controller@5000d000 {
 			compatible = "st,stm32mp1-exti", "syscon";
 			interrupt-controller;
@@ -601,11 +598,6 @@
 				interrupts = <GIC_SPI 104 IRQ_TYPE_LEVEL_HIGH>;
 				clocks = <&rcc TIM12_K>;
 				clock-names = "int";
-
-				counter {
-					compatible = "st,stm32-timer-counter";
-					status = "disabled";
-				};
 			};
 
 			timers13: timer@4c008000 {
@@ -637,11 +629,6 @@
 				clocks = <&rcc TIM15_K>;
 				clock-names = "int";
 				status = "disabled";
-
-				counter {
-					compatible = "st,stm32-timer-counter";
-					status = "disabled";
-				};
 			};
 
 			timers16: timer@4c00b000 {
@@ -685,11 +672,6 @@
 				clocks = <&rcc LPTIM3_K>;
 				clock-names = "mux";
 				status = "disabled";
-
-				counter {
-					compatible = "st,stm32-lptimer-counter";
-					status = "disabled";
-				};
 			};
 
 			vrefbuf: vrefbuf@50025000 {
diff --git a/core/arch/arm/dts/stm32mp135f-dk.dts b/core/arch/arm/dts/stm32mp135f-dk.dts
index 428ce7e2..203e9838 100644
--- a/core/arch/arm/dts/stm32mp135f-dk.dts
+++ b/core/arch/arm/dts/stm32mp135f-dk.dts
@@ -18,24 +18,17 @@
 #include "stm32mp13-pinctrl.dtsi"
 
 / {
-	model = "STMicroelectronics STM32MP135F-DK Discovery Board";
+	model = "POTATO_PI_M02 (PCB v1.0)";
 	compatible = "st,stm32mp135f-dk", "st,stm32mp135";
 
 	aliases {
 		serial0 = &uart4;
-		serial1 = &usart1;
 	};
 
 	chosen {
 		stdout-path = "serial0:115200n8";
 	};
 
-	magic_wol: magic_wol {
-		compatible = "st,stm32mp1,pwr-irq-user";
-		st,wakeup-pin-number = <2>;
-		status = "okay";
-	};
-
 	memory@c0000000 {
 		device_type = "memory";
 		reg = <0xc0000000 0x20000000>;
@@ -53,6 +46,7 @@
 		};
 	};
 
+	/* VIN SMPS +5.0V */
 	vin: vin {
 		compatible = "regulator-fixed";
 		regulator-name = "vin";
@@ -61,47 +55,44 @@
 		regulator-always-on;
 	};
 
-	v3v3_ao: v3v3_ao {
+	/* VDD SMPS +3.3V */
+	vdd: vdd {
 		compatible = "regulator-fixed";
-		regulator-name = "v3v3_ao";
+		regulator-name = "vdd";
 		regulator-min-microvolt = <3300000>;
 		regulator-max-microvolt = <3300000>;
 		regulator-always-on;
+		vin-supply = <&vin>;
 	};
 
-	typec_wakeup: typec_wakeup {
-		compatible = "st,stm32mp1,pwr-irq-user";
-		/* Alert pin on PI2, wakeup_pin_5 */
-		st,wakeup-pin-number = <5>;
-		st,notif-it-id = <1>;
-		status = "okay";
-	};
-};
+	/* VCPU SMPS +1.25V / +1.35V (selected by GPIO PWR_OVRDRV pin) */
+	vcpu: vcpu {
+		compatible = "st,stm32-regulator-gpio";
+		regulator-name = "vcpu";
 
-&adc_2 {
-	vdda-supply = <&vdd_adc>;
-	vref-supply = <&vdd_adc>;
-	status = "okay";
+		regulator-min-microvolt = <1250000>;
+		regulator-max-microvolt = <1350000>;
 
-	adc2: adc@0 {
-		status = "okay";
+		pinctrl-names = "default";
+		pinctrl-0 = <&vcpu_pins_a>;
 
-		channel@15 {
-			reg = <15>;
-			label = "vbat";
-		};
+		st,voltage_pin_index = <0>;
+		states = <1250000 0x0>, <1350000 0x1>;
 	};
-};
 
-&bsec {
-	board_id: board_id@f0 {
-		reg = <0xf0 0x4>;
-		st,non-secure-otp;
+	/* VUSB LDO +3.3V */
+	vusb: vusb {
+		compatible = "regulator-fixed";
+		regulator-name = "vusb";
+		regulator-min-microvolt = <3300000>;
+		regulator-max-microvolt = <3300000>;
+		regulator-always-on;
+		vin-supply = <&vin>;
 	};
 };
 
 &cpu0 {
-	cpu-supply = <&vddcpu>;
+	cpu-supply = <&vcpu>;
 };
 
 &etzpc {
@@ -150,255 +141,19 @@
 	>;
 };
 
-&gpiob {
-	st,protreg = < (TZPROT(9)) >;
-};
-
-&gpiod {
-	st,protreg = < (TZPROT(7)) >;
-};
-
-&gpioe {
-	st,protreg = < (TZPROT(15)) >;
-};
-
-&gpioi {
-	st,protreg = < (TZPROT(2)|TZPROT(3)) >;
-};
-
 &hash {
 	status = "okay";
 };
 
-&hse_monitor {
-	status = "okay";
-};
-
-&i2c4 {
-	pinctrl-names = "default";
-	pinctrl-0 = <&i2c4_pins_a>;
-	i2c-scl-rising-time-ns = <185>;
-	i2c-scl-falling-time-ns = <20>;
-	clock-frequency = <400000>;
-	status = "okay";
-
-	pmic: stpmic@33 {
-		compatible = "st,stpmic1";
-		reg = <0x33>;
-		status = "okay";
-		st,wakeup-pin-number = <1>;
-		st,notif-it-id = <0>;
-
-		regulators {
-			compatible = "st,stpmic1-regulators";
-			buck1-supply = <&vin>;
-			buck2-supply = <&vin>;
-			buck3-supply = <&vin>;
-			buck4-supply = <&vin>;
-			ldo1-supply = <&vin>;
-			ldo4-supply = <&vin>;
-			ldo5-supply = <&vin>;
-			ldo6-supply = <&vin>;
-			vref_ddr-supply = <&vin>;
-			pwr_sw1-supply = <&bst_out>;
-			pwr_sw2-supply = <&v3v3_ao>;
-
-			vddcpu: buck1 {
-				regulator-name = "vddcpu";
-				regulator-min-microvolt = <1250000>;
-				regulator-max-microvolt = <1350000>;
-				regulator-always-on;
-				regulator-over-current-protection;
-
-				lp-stop {
-					regulator-suspend-microvolt = <1250000>;
-				};
-				lplv-stop {
-					regulator-suspend-microvolt = <900000>;
-				};
-				lplv-stop2 {
-					regulator-off-in-suspend;
-				};
-				standby-ddr-sr {
-					regulator-off-in-suspend;
-				};
-				standby-ddr-off {
-					regulator-off-in-suspend;
-				};
-			};
-
-			vdd_ddr: buck2 {
-				regulator-name = "vdd_ddr";
-				regulator-min-microvolt = <1350000>;
-				regulator-max-microvolt = <1350000>;
-				regulator-always-on;
-				regulator-over-current-protection;
-
-				standby-ddr-off {
-					regulator-off-in-suspend;
-				};
-			};
-
-			vdd: buck3 {
-				regulator-name = "vdd";
-				regulator-min-microvolt = <3300000>;
-				regulator-max-microvolt = <3300000>;
-				regulator-always-on;
-				st,mask-reset;
-				regulator-over-current-protection;
-			};
-
-			vddcore: buck4 {
-				regulator-name = "vddcore";
-				regulator-min-microvolt = <1250000>;
-				regulator-max-microvolt = <1250000>;
-				regulator-always-on;
-				regulator-over-current-protection;
-
-				lplv-stop {
-					regulator-suspend-microvolt = <900000>;
-				};
-				lplv-stop2 {
-					regulator-suspend-microvolt = <900000>;
-				};
-				standby-ddr-sr {
-					regulator-off-in-suspend;
-				};
-				standby-ddr-off {
-					regulator-off-in-suspend;
-				};
-			};
-
-			vdd_adc: ldo1 {
-				regulator-name = "vdd_adc";
-				regulator-min-microvolt = <3300000>;
-				regulator-max-microvolt = <3300000>;
-
-				standby-ddr-sr {
-					regulator-off-in-suspend;
-				};
-				standby-ddr-off {
-					regulator-off-in-suspend;
-				};
-			};
-
-			unused1: ldo2 {
-				regulator-name = "ldo2";
-			};
-
-			unused2: ldo3 {
-				regulator-name = "ldo3";
-			};
-
-			vdd_usb: ldo4 {
-				regulator-name = "vdd_usb";
-				regulator-min-microvolt = <3300000>;
-				regulator-max-microvolt = <3300000>;
-
-				standby-ddr-sr {
-					regulator-off-in-suspend;
-				};
-				standby-ddr-off {
-					regulator-off-in-suspend;
-				};
-			};
-
-			vdd_sd: ldo5 {
-				regulator-name = "vdd_sd";
-				regulator-min-microvolt = <3300000>;
-				regulator-max-microvolt = <3300000>;
-				regulator-boot-on;
-
-				standby-ddr-sr {
-					regulator-off-in-suspend;
-				};
-				standby-ddr-off {
-					regulator-off-in-suspend;
-				};
-			};
-
-			v1v8_periph: ldo6 {
-				regulator-name = "v1v8_periph";
-				regulator-min-microvolt = <1800000>;
-				regulator-max-microvolt = <1800000>;
-
-				standby-ddr-sr {
-					regulator-off-in-suspend;
-				};
-				standby-ddr-off {
-					regulator-off-in-suspend;
-				};
-			};
-
-			vref_ddr: vref_ddr {
-				regulator-name = "vref_ddr";
-				regulator-always-on;
-
-				standby-ddr-sr {
-					regulator-off-in-suspend;
-				};
-				standby-ddr-off {
-					regulator-off-in-suspend;
-				};
-			};
-
-			bst_out: boost {
-				regulator-name = "bst_out";
-			};
-
-			v3v3_sw: pwr_sw2 {
-				regulator-name = "v3v3_sw";
-				regulator-active-discharge = <1>;
-				regulator-min-microvolt = <3300000>;
-				regulator-max-microvolt = <3300000>;
-			};
-		};
-	};
-};
-
 &iwdg1 {
 	timeout-sec = <32>;
 	status = "okay";
 };
 
-&lptimer3 {
-	status = "okay";
-
-	counter {
-		status = "okay";
-	};
-};
-
-&ltdc {
-	pinctrl-names = "default";
-	pinctrl-0 = <&ltdc_pins_a>;
-	status = "okay";
-};
-
 &oem_enc_key {
 	st,non-secure-otp-provisioning;
 };
 
-&osc_calibration {
-	csi-calibration {
-		status = "okay";
-	};
-
-	hsi-calibration {
-		status = "okay";
-	};
-};
-
-&pka {
-	status = "okay";
-};
-
-&pwr_irq {
-	pinctrl-names = "default";
-	pinctrl-0 = <&wakeup_pins>;
-	status = "okay";
-};
-
 &pwr_regulators {
 	system_suspend_supported_soc_modes = <
 		STM32_PM_CSLEEP_RUN
@@ -410,7 +165,8 @@
 
 	system_off_soc_mode = <STM32_PM_SHUTDOWN>;
 	vdd-supply = <&vdd>;
-	vdd_3v3_usbfs-supply = <&vdd_usb>;
+	vdd_3v3_usbfs-supply = <&vusb>;
+	status = "okay";
 };
 
 &rcc {
@@ -580,70 +336,6 @@
 	status = "okay";
 };
 
-&saes {
-	status = "okay";
-};
-
-&scmi_regu {
-	scmi_vddcpu: voltd-vddcpu {
-		reg = <VOLTD_SCMI_STPMIC1_BUCK1>;
-		voltd-supply = <&vddcpu>;
-	};
-	scmi_vdd: voltd-vdd {
-		reg = <VOLTD_SCMI_STPMIC1_BUCK3>;
-		voltd-supply = <&vdd>;
-	};
-	scmi_vddcore: voltd-vddcore {
-		reg = <VOLTD_SCMI_STPMIC1_BUCK4>;
-		voltd-supply = <&vddcore>;
-	};
-	scmi_vdd_adc: voltd-vdd_adc {
-		reg = <VOLTD_SCMI_STPMIC1_LDO1>;
-		voltd-supply = <&vdd_adc>;
-	};
-	scmi_vdd_usb: voltd-vdd_usb {
-		reg = <VOLTD_SCMI_STPMIC1_LDO4>;
-		voltd-supply = <&vdd_usb>;
-	};
-	scmi_vdd_sd: voltd-vdd_sd {
-		reg = <VOLTD_SCMI_STPMIC1_LDO5>;
-		voltd-supply = <&vdd_sd>;
-	};
-	scmi_v1v8_periph: voltd-v1v8_periph {
-		reg = <VOLTD_SCMI_STPMIC1_LDO6>;
-		voltd-supply = <&v1v8_periph>;
-	};
-	scmi_v3v3_sw: voltd-v3v3_sw {
-		reg = <VOLTD_SCMI_STPMIC1_PWR_SW2>;
-		voltd-supply = <&v3v3_sw>;
-	};
-};
-
-&tamp {
-	status = "okay";
-	st,tamp_passive_nb_sample = <4>;
-	st,tamp_passive_sample_clk_div = <16384>;
-
-	tamp_passive@2 {
-		pinctrl-0 = <&tamp0_in2_pin_a>;
-		status = "okay";
-	};
-
-	/* Connect pin8 and pin22 from CN8 */
-	tamp_active@1 {
-		pinctrl-0 = <&tamp0_in3_pin_a &tamp0_out1_pin_a>;
-		status = "disabled";
-	};
-};
-
-&timers12 {
-	status = "okay";
-
-	counter {
-		status = "okay";
-	};
-};
-
 &tzc400 {
 	memory-region = <&optee_framebuffer>;
 };
@@ -653,15 +345,3 @@
 	pinctrl-0 = <&uart4_pins_a>;
 	status = "okay";
 };
-
-&usart1 {
-	pinctrl-names = "default";
-	pinctrl-0 = <&usart1_pins_a>;
-	uart-has-rtscts;
-	status = "disabled";
-};
-
-&wakeup_pin_5 {
-	bias-pull-up;
-};
-
